Last modified: 2014-08-31 00:40:37 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 64653 - Minor fixes for Typography refresh: list lineheight, H1 margin, H3 fontsize, diff display
Minor fixes for Typography refresh: list lineheight, H1 margin, H3 fontsize, ...
Status: NEW
Product: MediaWiki skins
Classification: Unclassified
Vector (Other open bugs)
unspecified
All All
: Normal normal
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: typography-refresh
  Show dependency treegraph
 
Reported: 2014-04-30 12:52 UTC by Erwin Dokter
Modified: 2014-08-31 00:40 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Erwin Dokter 2014-04-30 12:52:30 UTC
Two minor fixes for the Typography refresh:

* <dd>, <ol> and <ul> have their line-height set to 1.5em in commonElements.css; these must be set to inherit in common.less.
* H1 has no top margin in the body, causing it to stick to content directly above it. Set to 1em for H1, and to 0 for #firstHeading.

I would *like* to increase H3 fontsize from 1.17em to 1.2em, as it is too close in size to body text. Are there and objections to this?

Patch is in the works, but I need to know about H3 before I submit it.
Comment 1 Andre Klapper 2014-05-05 13:13:13 UTC
Typography folks: Could somebody please provide feedback on h3 size to Erwin?
Comment 2 Jon 2014-05-05 16:57:56 UTC
Hey Erwin thanks for raising these issues - a few clarifications!

* In terms of line height - why do they need to be inherit? What problem does this cause?

* In terms of the H1 having no top margin can you submit a screenshot showing where this becomes a problem? I see there is top padding on #content so I'm not sure why this would be a problem and I'm worried increasing this gap with a top margin would be weird.

* In terms of h3 font size I can always review it with the designers and point out the changes. <aybe submit the patch anyway?
Comment 3 Erwin Dokter 2014-05-05 23:39:06 UTC
Hi Jon,

* Currently, line-height is set to 1.5em for <dd>, <ol> and <ul> in commonElements.css. This overrides the 1.6em from the typography refresh, which causes inconsistent line heights on talk pages. They will need to match (not inherit, strike that).

* See https://www.mediawiki.org/wiki/User:Edokter/sandbox#A_H1_header
I'm not looking to change the title H1, just add the margin to H1 inside bodyContent to match H2.

* I'll submit it tomorrow.
Comment 4 Jon 2014-05-07 17:43:44 UTC
Oh I see! Yeh this doesn't seem like a problem provided it doesn't touch the top margin of the firstHeading!

Thanks :)
Comment 5 Erwin Dokter 2014-05-22 14:31:52 UTC
Added issue: diff lineheight, for which a patch is waiting review: https://gerrit.wikimedia.org/r/133978/

Will submit patch for other issues later.
Comment 6 Gerrit Notification Bot 2014-05-22 15:00:02 UTC
Change 133978 had a related patch set uploaded by Jdlrobson:
Apply correct line-height to diffs

https://gerrit.wikimedia.org/r/133978
Comment 7 Gerrit Notification Bot 2014-05-22 15:04:37 UTC
Change 133978 merged by jenkins-bot:
Apply correct line-height to diffs

https://gerrit.wikimedia.org/r/133978
Comment 8 Tomasz W. Kozlowski 2014-08-05 19:59:33 UTC
Patch was merged, so resetting bug status to NEW.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links